# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		nwsclient
Summary: 	NetWorkSpaces Client for Python
Version:	1.6.4
Release:	alt1_6
License:	GPLv2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/nws-py/%{name}-%{version}.tar.gz
URL:		http://nws-py.sourceforge.net/
BuildArch:	noarch
BuildRequires:	python-devel python-module-distribute
Source44: import.info

%description
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it 
easy to use clusters from within scripting languages like Python, R, and 
Matlab. It uses a Space-based approach, similar to JavaSpaces (TM) for example,
that makes it easier to write distributed applications.

NetWorkSpaces for Python is the Python API to the NetWorkSpaces server. It 
allows different Python scripts to communicate and coordinate with each other, 
and (with some restrictions) with scripts written in other languages, such as
R and Matlab.  The restriction is that only strings can be passed between 
different languages. NetWorkSpaces doesn't provide a standard way to serialize 
objects between different languages, but by allowing strings to be used, 
programmers can choose their own mechanism (XML or YAML, for example).

%prep
%setup -q

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
NWS_MAN_DIR=%{_mandir}/man1 NWS_DOC_DIR=%{_datadir}/doc/%{name}-%{version} %{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
cp -a PKG-INFO %{buildroot}%{_datadir}/doc/%{name}-%{version}/

chmod -x %{buildroot}%{_datadir}/doc/%{name}-%{version}/examples/*

%files
%doc %{_datadir}/doc/%{name}-%{version}/
%{_bindir}/*
%{python_sitelibdir_noarch}/nws/
%{python_sitelibdir_noarch}/%{name}-%{version}-py*.egg-info
%{_mandir}/man1/*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_6
- initial fc import

